import math
import turtle
import random

world_turtles = []


def in_bounds(t):
    return t.distance((0,0)) < 250

def point_at(t, point):
    posx, posy = point
    angle_point = t.towards(posx, posy)
    t.seth(angle_point)
    t.forward(1)

def walk(me):
    if ( in_bounds(me) == False):
        point_at(me, (0,0))
    me.right( -4 + ( 8*random.random()))
    me.forward(2)


def setup():
    for x in range(0, 10):
        t = turtle.Pen()
        t.speed(0)
        t.penup()
        t.right(368*random.random())
        t.forward(200*random.random())
        t.pendown()
        t.color(random.choice(['red', 'green', 'blue']))
        world_turtles.append(t)
    print "all ready!"

def run():
    print("Start walk cycle for %d turtles" % (len(world_turtles)))
    while True:
        for t in world_turtles:
            walk(t)

setup()
run()
